<?xml version="1.0"?>
<ComicInfo xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <Series>The House of Lost Horizons: A Sarah Jewell Mystery</Series>
  <Number>1</Number>
  <Web>https://www.comixology.com/The-House-of-Lost-Horizons-A-Sarah-Jewell-Mystery-1/digital-comic/932328</Web>
  <Summary>Mike Mignola! Chris Roberson! Investigator Sarah Jewell (Rise of the Black Flame, Witchfinder: The Reign of Darkness) gets her own series in this murder mystery with an occult twist. A locked-room murder mystery puzzles paranormal detective Sarah Jewell and her associate Marie Therese when a weekend trip on a private island off the coast of Washington goes astray. Trapped by a storm and surrounded by myriad suspects who have gathered for an auction of occult items, the intrepid duo must unravel the supernatural mysteries surrounding the guests in hopes of uncovering the murderer! But all the while, bodies keep piling up, and at any moment Sarah or Marie Therese could be next! Mike Mignola and Chris Roberson return to the world of Hellboy, accompanied by artist Leila del Duca and colorist Michelle Madsen.</Summary>
  <Notes>Scraped metadata from Comixology [CMXDB932328], [ASINB091J7TYRL]</Notes>
  <Publisher>Dark Horse</Publisher>
  <Genre>Horror, Crime</Genre>
  <PageCount>21</PageCount>
  <LanguageISO>en</LanguageISO>
  <ScanInformation></ScanInformation>
</ComicInfo>
